#include <stdio.h>

#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include "aux_module.h"

extern GdkFilterReturn xaux_ext_event_handler(GdkXEvent *gdk_xevent, GdkEvent *event, gpointer user_data);

int main(int argc, char **argv)
{
	GtkWidget *aux_manager_gtk2_window = NULL;
	gtk_init (&argc, &argv);

	aux_manager_gtk2_window = gtk_window_new (GTK_WINDOW_POPUP);
	gtk_container_set_border_width (GTK_CONTAINER (aux_manager_gtk2_window), 10);

	gtk_widget_realize(aux_manager_gtk2_window);

	aux_manager_init_aux_modules();

	gdk_window_add_filter(aux_manager_gtk2_window->window, xaux_ext_event_handler, 0);
	if (xaux_ext_register_classes(aux_manager_gtk2_window->window) == False)
		return (False);

	gtk_main ();
}
